project(kdetoys)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake )

# Search KDE installation
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

add_definitions (${QT_DEFINITIONS} ${QT_QTDBUS_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories (${KDE4_INCLUDES})

# The FindKDE4.cmake module sets _KDE4_PLATFORM_DEFINITIONS with
# definitions like _GNU_SOURCE that are needed on each platform.
# Put configure checks below this line.
set(CMAKE_REQUIRED_DEFINITIONS ${_KDE4_PLATFORM_DEFINITIONS})

macro_optional_add_subdirectory( doc )
macro_optional_add_subdirectory( kteatime )
macro_optional_add_subdirectory( ktux )

if(Q_WS_X11)
  macro_optional_add_subdirectory( amor )
  macro_optional_add_subdirectory( kweather )
endif(Q_WS_X11)

macro_display_feature_log()
